Skip to main content
PUT
/
index-pipelines
/
{id}
Update an index pipeline
import requests

url = "https://{FUSION HOST}/api/index-pipelines/{id}"

payload = {
    "id": "default",
    "stages": [
        {
            "type": "<string>",
            "id": "<string>",
            "label": "<string>",
            "condition": "<string>",
            "skip": True
        }
    ],
    "properties": {}
}
headers = {
    "Authorization": "Basic <encoded-value>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.put("https://{FUSION HOST}/api/index-pipelines/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"default\",\n \"stages\": [\n {\n \"type\": \"<string>\",\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"condition\": \"<string>\",\n \"skip\": true\n }\n ],\n \"properties\": {}\n}")
.asString();
const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'default',
stages: [
{
type: '<string>',
id: '<string>',
label: '<string>',
condition: '<string>',
skip: true
}
],
properties: {}
})
};

fetch('https://{FUSION HOST}/api/index-pipelines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/index-pipelines/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"default\",\n \"stages\": [\n {\n \"type\": \"<string>\",\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"condition\": \"<string>\",\n \"skip\": true\n }\n ],\n \"properties\": {}\n}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/index-pipelines/{id}"

payload := strings.NewReader("{\n \"id\": \"default\",\n \"stages\": [\n {\n \"type\": \"<string>\",\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"condition\": \"<string>\",\n \"skip\": true\n }\n ],\n \"properties\": {}\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/index-pipelines/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'default',
'stages' => [
[
'type' => '<string>',
'id' => '<string>',
'label' => '<string>',
'condition' => '<string>',
'skip' => true
]
],
'properties' => [

]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request PUT \
--url https://{FUSION HOST}/api/index-pipelines/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "default",
"stages": [
{
"type": "<string>",
"id": "<string>",
"label": "<string>",
"condition": "<string>",
"skip": true
}
],
"properties": {}
}
'
{
  "id": "default",
  "stages": [
    {
      "type": "<string>",
      "id": "<string>",
      "label": "<string>",
      "condition": "<string>",
      "skip": true
    }
  ],
  "properties": {}
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

ifMatch
object

Optional tag to match.

Path Parameters

id
string
required

The index profile ID

Query Parameters

context
string

The app to which this object belongs, as app:SomeApp. If the object is not part of this app, the request fails. Other comma-separated contexts in the context parameter are allowed but ignored.

Body

application/json

A JSON object defining the index pipeline.

id
string

The index pipeline ID.

Example:

"default"

stages
object[]

The stages in this index pipeline and their configurations. Use /api/index-stages/schema and /api/index-stages/schema/{type} to get the configuration schemas for the available index stage types.

properties
object

Additional properties defining this index pipeline.

Response

200 - application/json

OK

A JSON object defining the index pipeline.

id
string

The index pipeline ID.

Example:

"default"

stages
object[]

The stages in this index pipeline and their configurations. Use /api/index-stages/schema and /api/index-stages/schema/{type} to get the configuration schemas for the available index stage types.

properties
object

Additional properties defining this index pipeline.